---
title: WebGL2RenderingContext.bindSampler()
slug: Web/API/WebGL2RenderingContext/bindSampler
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.bindSampler()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> binds a passed {{domxref("WebGLSampler")}} object to the texture unit at the passed index.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.bindSampler(<var>unit</var>, <var>sampler</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>unit</dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the texture unit to which to bind the sampler to.</dd>
 <dt>sampler</dt>
 <dd>A {{domxref("WebGLSampler")}} object to bind.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var sampler = gl.createSampler();
gl.bindSampler(0, sampler);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.13", "bindSampler")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glBindSampler.xhtml", "glBindSampler")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.bindSampler")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLSampler")}}</li>
</ul>
